1. Order
Corvus API
  • Token
    • Get Token
      POST
  • User
    • Wallet
      • Query user ledger balance
  • Position
    • My positions with pagination
      GET
  • Market Data
    • Get match team information
      GET
    • Get match team information in batch
      POST
    • Get market price history
      GET
    • Get order books in batch
      POST
    • Get topic market groups
      GET
    • Get topic event list
      GET
    • Get historical events in the same topic series
      GET
    • Get topic event details
      GET
  • Order
    • My orders with pagination
      GET
    • Create prediction buy order
      POST
    • Create prediction sell order
      POST
  • Schemas
    • ErrorResponse
    • WalletBalanceResponse
    • WalletAccountBalanceVo
    • DepositAddressVo
    • PositionListResponse
    • PositionVo
    • TeamsQueryBo
    • TeamsResponse
    • MatchTeamsVo
    • PriceHistoryResponse
    • PriceHistoryPointVo
    • OrderBookQueryBo
    • OrderBooksResponse
    • OrderBookVo
    • OrderBookEntry
    • TopicGroupsResponse
    • TopicMarketGroupVo
    • MarketEventsResponse
    • MarketDetailResponse
    • MarketItemVo
    • EventMarketVo
    • OrderListResponse
    • PredictionOrderListVo
    • PredictionOrderCreateBo
    • PredictionSellOrderCreateBo
    • PredictionOrderResponse
    • PredictionOrderVo
  1. Order

My orders with pagination

GET
/api/order/list
Returns paginated prediction order records for the current logged-in user.

Request

Authorization
OAuth 2.0
Password
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
or
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://ourcorvus.com/api/order/list?pageNum=1&pageSize=20&orderByColumn=createdAt&isAsc=desc' \
--header 'Accept-Language: zh_CN' \
--header 'clientId: 8e06704235ad224b8b2af4eeb95580a9' \
--header 'Authorization: Bearer <token>'

Responses

🟢200
application/json
Query successful
Bodyapplication/json

Example
{
    "code": 200,
    "msg": "Query successful",
    "total": 1,
    "rows": [
        {
            "orderId": "PRED202605180001",
            "orderSide": "BUY",
            "orderType": "FOK",
            "relatedPositionId": null,
            "question": "Will Team A win?",
            "groupItemTitle": "Moneyline",
            "image": "https://static.example.com/market.png",
            "sportsMarketType": "moneyline",
            "line": null,
            "outcome": "Yes",
            "outcomePrice": 0.42,
            "betAmount": 100,
            "sharesAmount": 238.09,
            "tokenType": "USDC",
            "totalFee": 0.6,
            "totalDeductAmount": 100.6,
            "potentialPayout": 238.09,
            "orderStatus": "SUCCESS",
            "isSettled": 0,
            "gameStartTime": "2026-05-20T19:30:00Z",
            "createdAt": "2026-05-18T10:00:00Z"
        }
    ]
}
🟠401Unauthorized
🔴500ServerError
Modified at 2026-05-19 06:32:19
Previous
Get topic event details
Next
Create prediction buy order
Built with